2011-05-27 87 views
0

我將一些AutoCAD VBA移植到VB.Net。AutoCAD VB.Net拾色器

幾個模塊做一個ThisDrawing.SendCommand("_color" & vbCR)來彈出一個AutoCAD顏色選擇器,然後通過執行ThisDrawing.GetVariable("CECOLOR")來獲得選擇的顏色來處理響應。

使用.Net,SendCommand不會執行,直到程序結束。

如何讓AutoCAD顏色選擇器在我的代碼中內聯執行?

回答

1

有一個ColorDialog類來做到這一點。這裏是一些C#代碼:

using Autodesk.AutoCAD.EditorInput; 
using Autodesk.AutoCAD.Windows; 

var cd = new ColorDialog();  
if (cd.ShowDialog() != DialogResult.OK) return; 
Editor ed = Application.DocumentManager.MdiActiveDocument.Editor; 
ed.WriteMessage("\nSelected color: " + cd.Color); 
+0

Thw Autodesk.AutoCAD.Windows.ColorEditor正是我所期待的!謝謝! – 2011-05-30 16:57:18